Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVProgram

    java.lang.Object
      org.lwjgl.opengl.NVProgram

Direct Known Subclasses:
  NVFragmentProgram, NVVertexProgram

    public class NVProgram

extends java.lang.Object

Field Summary
`static int` | `GL_PROGRAM_ERROR_POSITION_NV` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_PROGRAM_ERROR_STRING_NV` Accepted by the <name> parameter of GetString:
`static int` | `GL_PROGRAM_LENGTH_NV`
`static int` | `GL_PROGRAM_RESIDENT_NV`
`static int` | `GL_PROGRAM_STRING_NV` Accepted by the <pname> parameter of GetProgramStringNV:
`static int` | `GL_PROGRAM_TARGET_NV` Accepted by the <pname> parameter of GetProgramivNV:

Constructor Summary
`NVProgram()`

Method Summary
`static boolean` | `glAreProgramsResidentNV(java.nio.IntBuffer programIDs, java.nio.ByteBuffer programResidences)`
`static void` | `glBindProgramNV(int target, int programID)`
`static void` | `glDeleteProgramsNV(java.nio.IntBuffer programs)`
`static void` | `glGenProgramsNV(java.nio.IntBuffer programs)`
`static void` | `glGetProgramNV(int programID, int parameterName, java.nio.IntBuffer params)`
`static void` | `glGetProgramStringNV(int programID, int parameterName, java.nio.ByteBuffer paramString)`
`static boolean` | `glIsProgramNV(int programID)`
`static void` | `glLoadProgramNV(int target, int programID, java.nio.ByteBuffer string)`
`static void` | `glRequestResidentProgramsNV(java.nio.IntBuffer programIDs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PROGRAM_TARGET_NV

    public static final int GL_PROGRAM_TARGET_NV

  Accepted by the <pname> parameter of GetProgramivNV:

  See Also:
    Constant Field Values

### GL_PROGRAM_LENGTH_NV

    public static final int GL_PROGRAM_LENGTH_NV

See Also:
  Constant Field Values

### GL_PROGRAM_RESIDENT_NV

    public static final int GL_PROGRAM_RESIDENT_NV

See Also:
  Constant Field Values

### GL_PROGRAM_STRING_NV

    public static final int GL_PROGRAM_STRING_NV

  Accepted by the <pname> parameter of GetProgramStringNV:

  See Also:
    Constant Field Values

### GL_PROGRAM_ERROR_POSITION_NV

    public static final int GL_PROGRAM_ERROR_POSITION_NV

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_PROGRAM_ERROR_STRING_NV

    public static final int GL_PROGRAM_ERROR_STRING_NV

  Accepted by the <name> parameter of GetString:

  See Also:
    Constant Field Values

Constructor Detail

### NVProgram

    public NVProgram()

Method Detail

### glLoadProgramNV

    public static void glLoadProgramNV(int target,
                                       int programID,
                                       java.nio.ByteBuffer string)

### glBindProgramNV

    public static void glBindProgramNV(int target,
                                       int programID)

### glDeleteProgramsNV

    public static void glDeleteProgramsNV(java.nio.IntBuffer programs)

### glGenProgramsNV

    public static void glGenProgramsNV(java.nio.IntBuffer programs)

### glGetProgramNV

    public static void glGetProgramNV(int programID,
                                      int parameterName,
                                      java.nio.IntBuffer params)

### glGetProgramStringNV

    public static void glGetProgramStringNV(int programID,
                                            int parameterName,
                                            java.nio.ByteBuffer paramString)

### glIsProgramNV

    public static boolean glIsProgramNV(int programID)

### glAreProgramsResidentNV

    public static boolean glAreProgramsResidentNV(java.nio.IntBuffer programIDs,
                                                  java.nio.ByteBuffer programResidences)

### glRequestResidentProgramsNV

    public static void glRequestResidentProgramsNV(java.nio.IntBuffer programIDs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.